setlocal cinoptions=:0,p0,t0
setlocal cinwords=if,else,while,do,for,switch,case
setlocal formatoptions=tcqr
setlocal cindent
setlocal indentexpr=nvim_treesitter#indent()

setlocal foldenable
setlocal foldmethod=expr
setlocal foldexpr=nvim_treesitter#foldexpr()
